﻿using System;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;


using System.Configuration;
using System.Data.SqlClient;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.Rendering;

namespace RadioButtons_MVC_Core
{
    public class HomeController : Controller
    {

        public IActionResult Index()
        {
            List<SelectListItem> items = PopulateFruits();
            return View(items);
        }

        [HttpPost]
        public IActionResult Index(string fruit)
        {
            List<SelectListItem> items = PopulateFruits();
            var selectedItem = items.Find(p => p.Value == fruit);
            if (selectedItem != null)
            {
                selectedItem.Selected = true;
                ViewBag.Message = "Selected Fruit: " + selectedItem.Text;
            }

            return View(items);
        }

        private static List<SelectListItem> PopulateFruits()
        {
            string constr = @"Data Source=.\SQL2019;Initial Catalog=AjaxSamples;Integrated Security=true";
            List<SelectListItem> items = new List<SelectListItem>();
            using (SqlConnection con = new SqlConnection(constr))
            {
                string query = " SELECT FruitName, FruitId FROM Fruits";
                using (SqlCommand cmd = new SqlCommand(query))
                {
                    cmd.Connection = con;
                    con.Open();
                    using (SqlDataReader sdr = cmd.ExecuteReader())
                    {
                        while (sdr.Read())
                        {
                            items.Add(new SelectListItem
                            {
                                Text = sdr["FruitName"].ToString(),
                                Value = sdr["FruitId"].ToString()
                            });
                        }
                    }
                    con.Close();
                }
            }

            return items;
        }
    }
}